### Function

# Gimp brushes_popup

#### Declaration [src]

    gboolean
    gimp_brushes_popup (
      const gchar* brush_callback,
      const gchar* popup_title,
      const gchar* initial_brush,
      gdouble opacity,
      gint spacing,
      GimpLayerMode paint_mode
    )

#### Description [src]

Invokes the Gimp brush selection.

This procedure opens the brush selection dialog.

#### Parameters

`brush_callback` | `const gchar*`
| The callback PDB proc to call when brush selection is made.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`popup_title` | `const gchar*`
| Title of the brush selection dialog.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`initial_brush` | `const gchar*`
| The name of the brush to set as the first selected.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`opacity` | `gdouble`
| The initial opacity of the brush.
`spacing` | `gint`
| The initial spacing of the brush (if < 0 then use brush default spacing).
`paint_mode` | `GimpLayerMode`
| The initial paint mode.

#### Return value

Returns: | `gboolean`
| TRUE on success.